Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create support customer

POST/workspaces/{organizationId}/support/customers
Path parameters
organizationIdstringrequired
Request body
application/json
emailstring<email>required
fullNamestring
phonestring
userIdstring
externalIdstring
externalSourcestring
companiesobject[]
Show properties
Array of object
companyIdstringrequired
isPrimaryboolean
default: false
identitiesobject[]
Show properties
Array of object
typestringrequired
Allowed:emailphoneslackmsteamsdiscordwhatsappchatapisocialcustom
subTypestring
valuestringrequired
isPrimaryboolean
default: false
Responses
201Customer created
customerobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
userIdstring | nullrequired
externalIdstring | nullrequired
externalSourcestringrequired
emailstringrequired
fullNamestring | nullrequired
phonestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
companiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
companyIdstringrequired
namestringrequired
isPrimarybooleanrequired
createdAtstringrequired
identitiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
typestringrequired
Allowed:emailphoneslackmsteamsdiscordwhatsappchatapisocialcustom
subTypestring | nullrequired
valuestringrequired
isPrimarybooleanrequired
createdAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/support/customers" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "user@example.com",
  "fullName": "string",
  "phone": "string",
  "userId": "string",
  "externalId": "string",
  "externalSource": "string",
  "companies": [
    {
      "companyId": "string",
      "isPrimary": false
    }
  ],
  "identities": [
    {
      "type": "email",
      "subType": "string",
      "value": "string",
      "isPrimary": false
    }
  ]
}'
Response
{
  "customer": {
    "id": "string",
    "organizationId": "string",
    "userId": "string",
    "externalId": "string",
    "externalSource": "string",
    "email": "string",
    "fullName": "string",
    "phone": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "companies": [
      {
        "id": "string",
        "customerId": "string",
        "companyId": "string",
        "name": "string",
        "isPrimary": true,
        "createdAt": "string"
      }
    ],
    "identities": [
      {
        "id": "string",
        "customerId": "string",
        "type": "email",
        "subType": "string",
        "value": "string",
        "isPrimary": true,
        "createdAt": "string"
      }
    ]
  }
}